QGIS Application - Bug report #14551
georeferencer projective transformation
2016-03-23 09:57 AM - Jean-Michel Morin

Status: Closed

Priority: Severe/Regression
Assignee:

Category: C++ plugins/Georeferencer

Affected QGIS version:2.14.2
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 22524

Description

In QGIS 2.14 raster georefencer invert the y axis on a symmetric axis of the image who is georeferenced with projective transformation
like mirroring (as it was good before on 2.12). On Helmert, polynomial 1, 2, 3 and TPS transformation there is no bug.

This bug was reproduced by taking old files (files and points) previously georeferenced with Qgis 2.12.

Associated revisions

Revision 83160632 - 2016-06-15 04:15 AM - Nyall Dawson

Followup 71dc33, fix projective transform in georeferencer (fix #14551)

Revision edd6301f - 2016-07-01 10:39 AM - Nyall Dawson

Followup 71dc33, fix projective transform in georeferencer (fix #14551)

(cherry-picked from 83160632ace41ef0306c903d977ef27283f83dcb)

History

#1 - 2016-03-26 01:58 AM - Jiirgen Fischer

- Subject changed from QGIS 2.14.0 Raster georeferencer projective transformation to georeferencer projective transformation

- Category changed from Raster Calculator to C++ plugins/Georeferencer

#2 - 2016-04-09 09:10 AM - Giovanni Manghi
- Priority changed from Normal to Severe/Regression
- Target version changed from Version 2.14 to Version 2.16

#3 - 2016-04-27 06:04 AM - Cédric Lardeux
- Target version changed from Version 2.16 to Version 2.14

Hello,

I would like to add that there is exactly the same bug on linux 2.14.1.

Best

2025-04-27
#4 - 2016-05-06 01:29 AM - Lene Fischer

And in the 2.14.2 version.

#5 - 2016-05-19 09:53 AM - Giovanni Manghi

- Target version changed from Version 2.14 to Version 2.16

- Operating System deleted (windows)

- OS version deleted (x64)

- Affected QGIS version changed from 2.14.0 to 2.14.2

Lene Fischer wrote:

And in the 2.14.2 version.

Hi!

the rationale for setting the target version to 2.16 is that a regression should be fixed in time for the following version (to the one affected), then if the

affected version is (or will be) a LTS this will also receive a backport.

#6 - 2016-06-14 07:16 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"83160632ace41ef0306c903d977ef27283f83dcb".
